Bug 163923 - x3270 Fonts Missing / empty pcf.gz files
x3270 Fonts Missing / empty pcf.gz files
Status: CLOSED DUPLICATE of bug 160737
Product: Fedora
Classification: Fedora
Component: x3270 (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-21 20:14 EDT by Robert Styma
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-22 16:49:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert Styma 2005-07-21 20:14:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
I installed the x3270 RPM's via yum.  The font files
in /usr/X11R6/lib/X11/fonts/misc all had size 20:
-rw-r--r--  1 root root 20 May  4 16:15 3270-12.pcf.gz
-rw-r--r--  1 root root 20 May  4 16:15 3270-12b.pcf.gz
-rw-r--r--  1 root root 20 May  4 16:15 3270-20.pcf.gz
-rw-r--r--  1 root root 20 May  4 16:15 3270-20b.pcf.gz
xlsfonts did not show any of the 3270 fonts, which is not suprising.
I worked around the problem by sftp'ing the fonts from a RH9 machine
and running mkfontdir on that directory.  Then x3270 displayed
correctly.

rpm -qf     /usr/X11R6/lib/X11/fonts/misc/3270.pcf.gz
x3270-x11-3.3.4-3

I recommend the fonts be checked and updated in this package.




Version-Release number of selected component (if applicable):
x3270-x11-3.3.4-3
x3270-3.3.4-3 x3270-3.3.4-3

How reproducible:
Always

Steps to Reproduce:
1. Run x3270 and try to select the top font in options->font
2.or Run xlsfonts | grep 3270
3.
  

Actual Results:  When you try to select the font, you get an error saying the font is not found.
When you run xlsfonts grep for 3270, you get no output.

Expected Results:  The font should have loaded and the 3270 fonts should have displayed respectively.
This did work after I manually copied the fonts from the other machine.

Additional info:
Comment 1 Karsten Hopp 2005-07-22 16:49:07 EDT

*** This bug has been marked as a duplicate of 160737 ***

Note You need to log in before you can comment on or make changes to this bug.